> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatis.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Find by id

> Retrieves a stream by id



## OpenAPI

````yaml get /stream-service/api/v1/streams/{streamId}
openapi: 3.0.1
info:
  title: Vatis Stream Service
  description: Vatis Stream Service API
  version: '1.0'
servers:
  - url: https://stream-service.vatis.tech
    description: Default server
security: []
paths:
  /stream-service/api/v1/streams/{streamId}:
    get:
      tags:
        - stream-resource-impl
      summary: Find by id
      description: Retrieves a stream by id
      operationId: findById
      parameters:
        - name: streamId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Stream retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StreamDto'
        '400':
          description: Exception on webhook configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Exception on client authorization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Stream usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Failed to create the stream
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '501':
          description: Requested feature is not implemented
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: One or more processors are not available
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: Default error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerToken: []
components:
  schemas:
    StreamDto:
      type: object
      properties:
        streamId:
          type: string
          format: uuid
        name:
          type: string
        groupId:
          type: string
          format: uuid
        configuration:
          $ref: '#/components/schemas/StreamConfigurationDto'
        createdTimestamp:
          type: string
          format: date-time
        creatorId:
          type: string
        groupCreatorId:
          type: string
        state:
          type: string
          enum:
            - READY
            - COMPLETED
            - FAILED
            - EXPIRED
        stateDescription:
          type: string
        finalizedTimestamp:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
        title:
          type: string
        message:
          type: string
        internalErrorName:
          type: string
        nestedErrors:
          type: array
          items:
            type: object
    StreamConfigurationDto:
      type: object
      properties:
        streamConfigurationTemplateId:
          type: string
        dataSource:
          $ref: '#/components/schemas/TopicDto'
        dataSinks:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/TopicDto'
        processors:
          type: array
          items:
            $ref: '#/components/schemas/ProcessorConfigurationDto'
        dynamicWebhookEndpoints:
          type: array
          items:
            $ref: '#/components/schemas/WebhookEndpointDto'
    TopicDto:
      type: object
      properties:
        topic:
          type: string
        messageSchema:
          type: string
        connectionOptions:
          type: object
          additionalProperties:
            type: string
        headers:
          type: object
          additionalProperties:
            type: string
        messageHeaders:
          type: object
          additionalProperties:
            type: string
        subscriptions:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SubscriptionDto'
    ProcessorConfigurationDto:
      type: object
      properties:
        id:
          type: string
        source:
          $ref: '#/components/schemas/SubscriptionDto'
        destination:
          $ref: '#/components/schemas/TopicDto'
        clusterDomainName:
          type: string
        podsDiscoveryClusterDomainName:
          type: string
        propertiesSchema:
          type: string
        properties:
          type: object
        egress:
          $ref: '#/components/schemas/ProcessorEgressConfigurationDto'
    WebhookEndpointDto:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        events:
          type: array
          items:
            type: string
        enabled:
          type: boolean
        description:
          type: string
    SubscriptionDto:
      type: object
      properties:
        subscription:
          type: string
        topic:
          type: string
        messageSchema:
          type: string
        connectionOptions:
          type: object
          additionalProperties:
            type: string
        headers:
          type: object
          additionalProperties:
            type: string
    ProcessorEgressConfigurationDto:
      type: object
      properties:
        persist:
          type: boolean
        sink:
          type: boolean
        tags:
          type: array
          items:
            type: string
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````